com.io7m.jtensors.bytebuffered.parameterized

## Interface PVectorByteBuffered4DType<T>

- Type Parameters:
    `T` - A phantom type parameter
  All Superinterfaces:
    ByteBufferedType, PVector2DType<T>, PVector3DType<T>, PVector4DType<T>, PVectorByteBuffered2DType<T>, PVectorByteBuffered3DType<T>, PVectorReadable2DType<T>, PVectorReadable3DType<T>, PVectorReadable4DType<T>, PVectorWritable2DType<T>, PVectorWritable3DType<T>, PVectorWritable4DType<T>, Vector2DType, Vector3DType, Vector4DType, VectorReadable2DType, VectorReadable3DType, VectorReadable4DType, VectorWritable2DType, VectorWritable3DType, VectorWritable4DType
  All Known Implementing Classes:
    PVectorByteBufferedM4D

      public interface PVectorByteBuffered4DType<T>
      extends PVector4DType<T>, PVectorByteBuffered3DType<T>

  The type of `PVector4DType` values that are also byte buffered.
  Since:
    7.0.0

- - ### Method Summary

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable4DType

      `copyFromTyped4D`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable4DType

      `getWD`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable4DType

      `copyFrom4D, set4D, setWD`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable3DType

      `copyFromTyped3D`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable3DType

      `getZD`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable3DType

      `copyFrom3D, set3D, setZD`

    - ### Methods inherited from interface com.io7m.jtensors.parameterized.PVectorWritable2DType

      `copyFromTyped2D`

    - ### Methods inherited from interface com.io7m.jtensors.VectorReadable2DType

      `getXD, getYD`

    - ### Methods inherited from interface com.io7m.jtensors.VectorWritable2DType

      `copyFrom2D, set2D, setXD, setYD`

    - ### Methods inherited from interface com.io7m.jtensors.bytebuffered.ByteBufferedType

      `getByteOffset, setByteOffset`

Copyright © 2016 <code@io7m.com> http://io7m.com